local BabbleZone = AceLibrary("Babble-Zone-2.2");
local AL = AceLibrary("AceLocale-2.2"):new("AtlasLoot");

local ORANGE = "|cffFF8400";

function AtlasLootWorldEventMenu()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    getglobal("AtlasLootItemsFrame_BACK"):Hide();
    --Children's Week
    AtlasLootMenuItem_2_Name:SetText(AL["Children's Week"]);
    AtlasLootMenuItem_2_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_2_Icon:SetTexture("Interface\\Icons\\INV_Egg_03");
    AtlasLootMenuItem_2.type="WorldEvent";
    AtlasLootMenuItem_2.lootpage="ChildrensWeek";
    AtlasLootMenuItem_2.text=AL["Children's Week"];
    AtlasLootMenuItem_2:Show();
    --Gurubashi Arena
    AtlasLootMenuItem_3_Name:SetText(AL["Gurubashi Arena"]);
    AtlasLootMenuItem_3_Extra:SetText(ORANGE..BabbleZone["Stranglethorn Vale"]);
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Box_02");
    AtlasLootMenuItem_3.type="WorldEvent";
    AtlasLootMenuItem_3.lootpage="GurubashiArena";
    AtlasLootMenuItem_3.text=AL["Gurubashi Arena"];
    AtlasLootMenuItem_3:Show();
    --Elemental Invasion
    AtlasLootMenuItem_17_Name:SetText(AL["Elemental Invasion"]);
    AtlasLootMenuItem_17_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_17_Icon:SetTexture("Interface\\Icons\\INV_DataCrystal03");
    AtlasLootMenuItem_17.type="WorldEvent";
    AtlasLootMenuItem_17.lootpage="ElementalInvasion";
    AtlasLootMenuItem_17.text=AL["Elemental Invasion"];
    AtlasLootMenuItem_17:Show();
    --Stranglethorn Fishing Comp
    AtlasLootMenuItem_18_Name:SetText(AL["Stranglethorn Fishing Extravaganza"]);
    AtlasLootMenuItem_18_Extra:SetText(ORANGE..BabbleZone["Stranglethorn Vale"]);
    AtlasLootMenuItem_18_Icon:SetTexture("Interface\\Icons\\INV_Fishingpole_02");
    AtlasLootMenuItem_18.type="WorldEvent";
    AtlasLootMenuItem_18.lootpage="FishingExtravaganza";
    AtlasLootMenuItem_18.text=AL["Stranglethorn Fishing Extravaganza"];
    AtlasLootMenuItem_18:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..AL["World Events"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end
